"""
SPDX-License-Identifier: GPL-3.0-or-later
SPDX-FileCopyrightText: 2020 CERN
"""

import pytest
from PyAdcLib import *
from PyAdcLib.PyAdcLibFmcAdc100m14b4ch import *

@pytest.fixture(scope="function")
def adc100m14b4cha():
    adc = FmcAdc100m14b4ch(pytest.adc_id)
    yield adc

def pytest_addoption(parser):
    parser.addoption("--type", choices=[FmcAdc100m14b4ch.BOARD_NAME],
                     required=True, help="Fmc ADC type")
    parser.addoption("--id", type=lambda x : int(x, 16),
                     required=True, help="Fmc ADC Identifier")

def pytest_configure(config):
    pytest.adc_type = config.getoption("--type")
    pytest.adc_id = config.getoption("--id")
